class CreateStrainArticles < ActiveRecord::Migration
  def change
    create_table :strain_articles, id: :uuid do |t|
      t.uuid :variant_id, index: true, foreign_key: true
      t.string :strain_type, null: false, default: 'Strain::Article'
      t.string :title, null: false
      t.jsonb :body, null: false
      t.string :slug, null: false

      t.timestamps null: false
    end
    add_index :strain_articles, :slug, :unique => true
  end
end
