module Strain
  class Engine < ::Rails::Engine

    require "json-schema"
    require "jsonapi-resources"

    isolate_namespace Strain

    config.autoload_paths += Dir["#{config.root}/lib/**/"]

    config.generators do |g|
      g.test_framework      :rspec,
        view_specs: false,
        helper_specs: false,
        routing_specs: true,
        controller_specs: true,
        request_specs: true
      g.fixture_replacement :factory_girl, dir: "spec/factories"
    end
  end
end
